Bug 100704 - kernel 2.6.0-0.test1.1.26 raid usage fails
kernel 2.6.0-0.test1.1.26 raid usage fails
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-24 10:19 EDT by Hrunting Johnson
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hrunting Johnson 2003-07-24 10:19:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
On an otherwise stock/updated Redhat 9 Linux box (only packages necessary for
the new kernel were applied), the 2.6.0-0.test1.1.26 kernel fails mounting root
read-only and panics without the initrd.  The root partition is mounted from a
raid5 md device.  The notes mention LVM not working; does this apply also to
normal md devices?

RAID autodetection appeared to work fine.  Just mounting the RAID device failed.

Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test1.1.26

How reproducible:
Always

Steps to Reproduce:
1. setup raid5 root partition
2. boot into kernel-2.6.0-0.test1.1.26
3.
    

Actual Results:  Kernel panics after being unable to find initrd file on
unmounted root partition.

Expected Results:  Kernel loads successfully.  Problems with 2.4 kernel are no more!

Additional info:

RAID5 setup is across 16 drives on two 3ware Escalade 8500 controllers. 
Rebooting machine into 2.4.20-19.9 works fine, so no corruption on the drives or
RAID setup itself.
Comment 1 Hrunting Johnson 2003-07-25 11:55:43 EDT
Okay, after some more work with this, I discovered the problem.  In the initrd, 
the linuxrc has this line:

mount -o defaults,noatime --ro -t ext3 /dev/root /sysroot

For some reason, that didn't mount root.  I changed that line to this:

mount -o defaults,noatime --ro -t ext3 /dev/md1 /sysroot

The system came up cleanly, except for some USB errors already reported by 
other people in other bugs.  I'm not sure why it didn't map correctly.  For 
reference, here are copies of my grub.conf and fstab.  Yes, we are running with 
no swap.

grub.conf:
default=3
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
title Red Hat Linux (2.6.0-0.test1.1.26)
        root (hd0,0)
        kernel /vmlinuz-2.6.0-0.test1.1.26 vga=ask ro root=/dev/md1
        initrd /initrd-2.6.0-0.test1.1.26.img
title Red Hat Linux (2.6.0-0.test1.1.26smp)
        root (hd0,0)
        kernel /vmlinuz-2.6.0-0.test1.1.26smp vga=ask ro root=/dev/md1
        initrd /initrd-2.6.0-0.test1.1.26smp.img
title Red Hat Linux (2.4.20-19.9)
        root (hd0,0)
        kernel /vmlinuz-2.4.20-19.9 ro root=/dev/md1
        initrd /initrd-2.4.20-19.9.img
title Red Hat Linux (2.4.20-19.9smp)
        root (hd0,0)
        kernel /vmlinuz-2.4.20-19.9smp ro root=/dev/md1
        initrd /initrd-2.4.20-19.9smp.img


fstab:
/dev/md1                /               ext3        defaults,noatime       1 1
/dev/md0                /boot           ext3        defaults               1 2
none                    /dev/pts        devpts      gid=5,mode=620         0 0
/dev/md7                /news           ext3        defaults,noatime       1 2
none                    /proc           proc        defaults               0 0
none                    /dev/shm        tmpfs       defaults               0 0
/dev/md2                /usr            ext3        defaults,noatime       1 2
/dev/md3                /var            ext3        defaults,noatime       1 2
#/dev/md4                swap           swap        defaults               0 0
/dev/cdrom              /mnt/cdrom      udf,iso9660 noauto,owner,kudzu,ro  0 0
/dev/fd0                /mnt/floppy     auto        noauto,owner,kudzu     0 0
Comment 2 Hrunting Johnson 2003-11-04 11:17:34 EST
This can be fixed by using root=(major)(minor) of the RAID device 
(without hacking the linuxrc in the initrd image).  So, for /dev/md1, 
it would be root=0901.
Comment 3 Bugzilla owner 2004-09-30 11:41:20 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.